import { getIdOrder2020 } from '../utils/getId.js';

const defOrder2020 = [
	{ idUser: 'u00001', idProduct: 'p00001', count: 2 },
	{ idUser: 'u00010', idProduct: 'p00005', count: 5 },
	{ idUser: 'u00001', idProduct: 'p00010', count: 1 },
	{ idUser: 'u00001', idProduct: 'p00002', count: 1 },
	{ idUser: 'u00002', idProduct: 'p00002', count: 7 },
	{ idUser: 'u00003', idProduct: 'p00020', count: 1 },
	{ idUser: 'u00005', idProduct: 'p00017', count: 7 },
	{ idUser: 'u00001', idProduct: 'p00010', count: 9 },
	{ idUser: 'u00002', idProduct: 'p00003', count: 2 },
	{ idUser: 'u00002', idProduct: 'p00001', count: 1 },
	{ idUser: 'u00002', idProduct: 'p00021', count: 1 },
	{ idUser: 'u00005', idProduct: 'p00007', count: 8 },
	{ idUser: 'u00004', idProduct: 'p00004', count: 4 },
	{ idUser: 'u00003', idProduct: 'p00006', count: 2 },
	{ idUser: 'u00003', idProduct: 'p00010', count: 1 },
	{ idUser: 'u00004', idProduct: 'p00017', count: 3 },
	{ idUser: 'u00003', idProduct: 'p00019', count: 2 },
	{ idUser: 'u00004', idProduct: 'p00020', count: 1 },
	{ idUser: 'u00004', idProduct: 'p00001', count: 10 },
	{ idUser: 'u00003', idProduct: 'p00002', count: 3 },
	{ idUser: 'u00001', idProduct: 'p00004', count: 3 },
	{ idUser: 'u00002', idProduct: 'p00008', count: 2 },
	{ idUser: 'u00005', idProduct: 'p00001', count: 1 },
	{ idUser: 'u00005', idProduct: 'p00002', count: 2 },
	{ idUser: 'u00005', idProduct: 'p00003', count: 3 },
	{ idUser: 'u00005', idProduct: 'p00004', count: 4 },
	{ idUser: 'u00005', idProduct: 'p00005', count: 5 },
	{ idUser: 'u00010', idProduct: 'p00022', count: 1 },
	{ idUser: 'u00010', idProduct: 'p00021', count: 1 },
	{ idUser: 'u00009', idProduct: 'p00011', count: 5 },
	{ idUser: 'u00007', idProduct: 'p00008', count: 1 },
	{ idUser: 'u00007', idProduct: 'p00011', count: 1 },
	{ idUser: 'u00006', idProduct: 'p00010', count: 1 },
	{ idUser: 'u00006', idProduct: 'p00015', count: 3 },
	{ idUser: 'u00006', idProduct: 'p00020', count: 2 },
	{ idUser: 'u00007', idProduct: 'p00016', count: 1 },
	{ idUser: 'u00005', idProduct: 'p00009', count: 3 },
	{ idUser: 'u00004', idProduct: 'p00007', count: 3 },
	{ idUser: 'u00003', idProduct: 'p00014', count: 10 },
	{ idUser: 'u00002', idProduct: 'p00013', count: 1 },
	{ idUser: 'u00001', idProduct: 'p00017', count: 2 },
	{ idUser: 'u00008', idProduct: 'p00018', count: 2 },
	{ idUser: 'u00008', idProduct: 'p00001', count: 1 },
	{ idUser: 'u00008', idProduct: 'p00002', count: 10 },
	{ idUser: 'u00009', idProduct: 'p00002', count: 3 },
	{ idUser: 'u00009', idProduct: 'p00003', count: 1 },
	{ idUser: 'u00008', idProduct: 'p00005', count: 1 },
	{ idUser: 'u00009', idProduct: 'p00006', count: 2 },
	{ idUser: 'u00008', idProduct: 'p00009', count: 1 },
	{ idUser: 'u00008', idProduct: 'p00010', count: 3 },
];

export const ORDERS2020 = defOrder2020.map((order) => ({
	...order,
	id: getIdOrder2020(),
}));
